Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163697 - lshal doesn't report any information on Maxoptix scsi optical drive
Summary: lshal doesn't report any information on Maxoptix scsi optical drive
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: hal
Version: 4
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-20 14:07 UTC by Need Real Name
Modified: 2013-03-06 03:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-19 02:33:52 UTC


Attachments (Terms of Use)

Description Need Real Name 2005-07-20 14:07:36 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en-us) AppleWebKit/412.6 (KHTML, like Gecko) Safari/412.2

Description of problem:
On a i386 workstation under Fedora Core 4 with a Maxoptix T5-2600 magnetic optical drive
attached to an Adaptec AHA-7850 scsi controller, lshal doesn't report any information on the
Maxoptix drive. This appears to prevent the gnome volume manager from automatically adding
an entry to the fstab and automount optical media when inserted into the drive. The device appears
in the scsi proc entry as...

cat /proc/scsi/scsi
....
Host: scsi3 Channel: 00 Id: 06 Lun: 00
  Vendor: Maxoptix Model: T5-2600          Rev: A6.9
  Type:   Optical Device                   ANSI SCSI revision: 02

I am able to use this device currently by adding...

BUS=="scsi", SYSFS{vendor}=="Maxoptix", NAME{all_partitions}="maxoptix"

...to /etc/udev/rules.d/10-local.rules and adding...

/dev/maxoptix8          /media/optical          xfs     noauto,rw,pamconsole  0 
0

This allows me to mount legacy XFS format optical disks from Irix under Fedora Core 4 by
double clicking the optical icon in Nautilus or using the usermount program. It would be nicer
if I could expect the optical media to automount on insertion like cdrom and cdrecorder devices
do. Also from my understanding of hal and the gnome volume manager, it should be able to
detect XFS formatted media and mount it, right?



Version-Release number of selected component (if applicable):
hal-0.5.2-2

How reproducible:
Always

Steps to Reproduce:
1. Install Fedora Core 4 on a i386 workstation with a scsi controller
2. Attach a Maxoptix optical drive such as the T5-2600
3. Reboot with the Maxoptix optical drive powered on and execute "lshal | grep Maxoptix"
  

Actual Results:  I saw no entries for the Maxoptix drive despite it showing up in /proc/scsi/scsi and being usable when 
manually configured as described above.

Expected Results:  lshal should have reported an entry for the Maxoptix optical drive and when I inserted XFS format optical 
media into the drive, it should have been automatically mounted on the Gnome Desktop by the Gnome 
Volume Manager without the need to modify the fstab and udev local.rules manually.

Additional info:

Comment 1 Need Real Name 2005-07-20 14:08:33 UTC
I should mention that fixing this bug will make the transition easier for folks moving off of Irix to Linux.

Comment 2 Christian Iseli 2007-01-20 00:21:36 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 3 petrosyan 2008-02-19 02:33:52 UTC
Fedora Core 4 is no longer maintained.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release, please reopen this bug and assign it to the
corresponding Fedora version.


Note You need to log in before you can comment on or make changes to this bug.